API Docs
YMS API
Task Management
POST Update Task

POST Update task

Introduction

Updates an existing yard task's details including assigned users, locations, priorities, and associated receipts or loads. Allows modification of task assignments, descriptions, notes, and entry ticket information. This API is used when task requirements change, reassigning tasks to different users or locations, or updating task priorities based on operational needs.

POST /public/task/{taskId}/update

Body Request Parameters

{
  "assignUserName": "string",
  "assignLocationId": "string",
  "customerId": "string",
  "receiptIds": [
    "string"
  ],
  "loadIds": [
    "string"
  ],
  "assigneeUserId": "string",
  "description": "string",
  "entryId": "string",
  "priority": "string",
  "note": "string"
}

Request Parameters

NameLocationTypeRequiredDescription
taskIdpathstringYesnone
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone
Item-Bam-ClientheaderstringNonone
x-facility-idheaderstringNonone
bodybodyobjectNonone
» assignUserNamebodystringNoAssigned user
» assignLocationIdbodystringNoAssigned location
» customerIdbodystringYesCustomer ID
» receiptIdsbody[string]Nonone
» loadIdsbody[string]Nonone
» assigneeUserIdbodystringNonone
» descriptionbodystringNonone
» entryIdbodystringYesnone
» prioritybodystringNoTask priority level (from WMS)
» notebodystringNoTask notes or remarks (from WMS)

Detailed Description

» assignLocationId: Assigned location When updating, only the assigned location is modified; the planned location (plannedLocationId) remains unchanged.

Response Example

200 Response

{
  "id": 0,
  "taskId": "",
  "taskType": "",
  "timeStatus": "",
  "startTime": "",
  "lastPauseTime": "",
  "endTime": "",
  "totalRunTime": 0,
  "totalPausedTime": 0,
  "createdTime": "",
  "updatedTime": "",
  "createdBy": "",
  "updatedBy": "",
  "assignUserName": "",
  "plannedLocationId": "",
  "assignLocationId": "",
  "assignLocationName": "",
  "customerId": "",
  "customerName": "",
  "entryId": "",
  "loadIds": [
    ""
  ],
  "receiptIds": [
    ""
  ],
  "taskStatus": "",
  "assigneeUserId": "",
  "description": "",
  "priority": "",
  "note": "",
  "lastStepAssignedUserIds": [
    ""
  ],
  "planedLastStepAssignedUserIds": [
    ""
  ],
  "lastStepAssignedUserNames": [
    ""
  ],
  "planedLastStepAssignedUserNames": [
    ""
  ],
  "lastStepId": "",
  "planedAssignAllSteps": false
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneGeneralTaskView